Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.dvcs
Class DVCSRequestInformationBuilder

    java.lang.Object
      org.bouncycastle.asn1.dvcs.DVCSRequestInformationBuilder

public class DVCSRequestInformationBuilder
extends java.lang.Object

DVCSRequestInformation ::= SEQUENCE { version INTEGER DEFAULT 1 , service ServiceType, nonce Nonce OPTIONAL, requestTime DVCSTime OPTIONAL, requester [0] GeneralNames OPTIONAL, requestPolicy [1] PolicyInformation OPTIONAL, dvcs [2] GeneralNames OPTIONAL, dataLocations [3] GeneralNames OPTIONAL, extensions [4] IMPLICIT Extensions OPTIONAL }

Constructor Summary
`DVCSRequestInformationBuilder(DVCSRequestInformation initialInfo)`
`DVCSRequestInformationBuilder(ServiceType service)`

Method Summary
`DVCSRequestInformation` | `build()`
`void` | `setDataLocations(GeneralName dataLocation)`
`void` | `setDataLocations(GeneralNames dataLocations)`
`void` | `setDVCS(GeneralName dvcs)`
`void` | `setDVCS(GeneralNames dvcs)`
`void` | `setExtensions(Extensions extensions)`
`void` | `setNonce(java.math.BigInteger nonce)`
`void` | `setRequester(GeneralName requester)`
`void` | `setRequester(GeneralNames requester)`
`void` | `setRequestPolicy(PolicyInformation requestPolicy)`
`void` | `setRequestTime(DVCSTime requestTime)`
`void` | `setVersion(int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DVCSRequestInformationBuilder

    public DVCSRequestInformationBuilder(ServiceType service)

### DVCSRequestInformationBuilder

    public DVCSRequestInformationBuilder(DVCSRequestInformation initialInfo)

Method Detail

### build

    public DVCSRequestInformation build()

### setVersion

    public void setVersion(int version)

### setNonce

    public void setNonce(java.math.BigInteger nonce)

### setRequestTime

    public void setRequestTime(DVCSTime requestTime)

### setRequester

    public void setRequester(GeneralName requester)

### setRequester

    public void setRequester(GeneralNames requester)

### setRequestPolicy

    public void setRequestPolicy(PolicyInformation requestPolicy)

### setDVCS

    public void setDVCS(GeneralName dvcs)

### setDVCS

    public void setDVCS(GeneralNames dvcs)

### setDataLocations

    public void setDataLocations(GeneralName dataLocation)

### setDataLocations

    public void setDataLocations(GeneralNames dataLocations)

### setExtensions

    public void setExtensions(Extensions extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD